Author -  Sai gowtham

How to Check if the program exists from a Bash script

You can use the posix compatible command to check, if the command exists from a bash script or not.

Here is an example:

command -v <your_command>
command -v king >/dev/null 2>&1 || { echo >&2 "king is not installed.  Aborting."; exit 1; }

if it returns >0 when the command is not found or an error occurs.

similary you can use type and hash.

type king >/dev/null 2>&1 || { echo >&2 " king is not installed.  Aborting."; exit 1; }
hash king 2>/dev/null || { echo >&2 "king not installed.  Aborting."; exit 1; }

The below example will show you gdate if exists else it shows date.

if hash gdate 2>/dev/null; then
        gdate "$@"
    else
        date "$@"
fi

Css Tutorials & Demos

How rotate an image continuously in CSS

In this demo, we are going to learn about how to rotate an image continuously using the css animations.

How to create a Instagram login Page

In this demo, i will show you how to create a instagram login page using html and css.

How to create a pulse animation in CSS

In this demo, i will show you how to create a pulse animation using css.

Creating a snowfall animation using css and JavaScript

In this demo, i will show you how to create a snow fall animation using css and JavaScript.

Top Udemy Courses

JavaScript - The Complete Guide 2023 (Beginner + Advanced)
JavaScript - The Complete Guide 2023 (Beginner + Advanced)
116,648 students enrolled
52 hours of video content
$14.99 FROM UDEMY
React - The Complete Guide (incl Hooks, React Router, Redux)
React - The Complete Guide (incl Hooks, React Router, Redux)
631,582 students enrolled
49 hours of video content
$24.99 FROM UDEMY
Vue - The Complete Guide (w/ Router, Vuex, Composition API)
Vue - The Complete Guide (w/ Router, Vuex, Composition API)
203,937 students enrolled
31.5 hours of video content
$14.99 FROM UDEMY